ur_rna.RNAstructureUI.utilities

## Class UserOptions

- java.lang.Object
- - ur_rna.RNAstructureUI.utilities.UserOptions

-     public class UserOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DRAW_ALWAYS`
    `static java.lang.String` | `DRAW_NEVER`
    `static java.lang.String` | `DRAW_PROMPT`
    `java.lang.String` | `drawStructures`
    `static java.util.HashMap<java.lang.String,java.lang.String>` | `overrides`
    `private java.util.prefs.Preferences` | `prefs`
    `boolean` | `useNativeLAF`
    `boolean` | `useNativeMenus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserOptions()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private java.lang.String` | `get(java.util.prefs.Preferences prefs, java.lang.String name, java.lang.String defaultValue)`
    `void` | `load(java.util.prefs.Preferences prefs)`
    `static void` | `override(java.lang.String name, java.lang.String value)`
    `private boolean` | `put(java.util.prefs.Preferences prefs, java.lang.String name, java.lang.String value)`
    `void` | `save()`
    `void` | `save(java.util.prefs.Preferences prefs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRAW_ALWAYS

          public static final java.lang.String DRAW_ALWAYS

      See Also:
        Constant Field Values

    - #### DRAW_NEVER

          public static final java.lang.String DRAW_NEVER

      See Also:
        Constant Field Values

    - #### DRAW_PROMPT

          public static final java.lang.String DRAW_PROMPT

      See Also:
        Constant Field Values

    - #### drawStructures

          public java.lang.String drawStructures

    - #### overrides

          public static java.util.HashMap<java.lang.String,java.lang.String> overrides

    - #### prefs

          private java.util.prefs.Preferences prefs

    - #### useNativeLAF

          public boolean useNativeLAF

    - #### useNativeMenus

          public boolean useNativeMenus

  - ### Constructor Detail

    - #### UserOptions

          public UserOptions()

  - ### Method Detail

    - #### get

          private java.lang.String get(java.util.prefs.Preferences prefs,
                                       java.lang.String name,
                                       java.lang.String defaultValue)

    - #### load

          public void load(java.util.prefs.Preferences prefs)

    - #### override

          public static void override(java.lang.String name,
                                      java.lang.String value)

    - #### put

          private boolean put(java.util.prefs.Preferences prefs,
                              java.lang.String name,
                              java.lang.String value)

    - #### save

          public void save()

    - #### save

          public void save(java.util.prefs.Preferences prefs)